Columns, filter and sorts for a UI list component.

### Hierarchy

- View
  - List

## Index

### Properties

- alias
- columnStyle
- columns
- defaultActionId
- filter
- fixedColumnCount
- gmlMarkup
- id
- menu
- name
- sort
- style
- title
- type

### Accessors

- columnHeadings
- isDefaultStyle
- isDetailsFormStyle
- isFormStyle
- isTabularStyle

### Methods

- findMenuAt
- findTitle
- getColumnAt
- rowValues

## Properties

### alias

alias: string

Inherited from View.alias

- Defined in models/View.ts:12

### columnStyle

columnStyle: string

- Defined in models/List.ts:12

### columns

columns: Column[]

- Defined in models/List.ts:15

### defaultActionId

defaultActionId: string

Inherited from View.defaultActionId

- Defined in models/View.ts:13

### filter

filter: Filter[]

- Defined in models/List.ts:16

### fixedColumnCount

fixedColumnCount: number

- Defined in models/List.ts:14

### gmlMarkup

gmlMarkup: string

- Defined in models/List.ts:13

### id

id: string

Inherited from View.id

- Defined in models/View.ts:14

### menu

menu: Menu

Inherited from View.menu

- Defined in models/View.ts:16

### name

name: string

Inherited from View.name

- Defined in models/View.ts:15

### sort

sort: Sort[]

- Defined in models/List.ts:17

### style

style: string

- Defined in models/List.ts:11

### title

title: string

Inherited from View.title

- Defined in models/View.ts:17

### type

type: ViewType

Inherited from View.type

- Defined in models/View.ts:18

## Accessors

### columnHeadings

- get columnHeadings(): string[]

- - Defined in models/List.ts:44

  #### Returns string[]

### isDefaultStyle

- get isDefaultStyle(): boolean

- - Defined in models/List.ts:28

  #### Returns boolean

### isDetailsFormStyle

- get isDetailsFormStyle(): boolean

- - Defined in models/List.ts:32

  #### Returns boolean

### isFormStyle

- get isFormStyle(): boolean

- - Defined in models/List.ts:36

  #### Returns boolean

### isTabularStyle

- get isTabularStyle(): boolean

- - Defined in models/List.ts:40

  #### Returns boolean

## Methods

### findMenuAt

- findMenuAt(actionId: string): Menu

- Inherited from View.findMenuAt

  - Defined in models/View.ts:49

  Find a menu def on this View with the given actionId

  #### Parameters

  - ##### actionId: string

  #### Returns Menu

### findTitle

- findTitle(): string

- Inherited from View.findTitle

  - Defined in models/View.ts:34

  Find the title for this Pane

  #### Returns string

### getColumnAt

- getColumnAt(propName: string): Column

- - Defined in models/List.ts:19

  #### Parameters

  - ##### propName: string

  #### Returns Column

### rowValues

- rowValues(record: Record): any[]

- - Defined in models/List.ts:50

  #### Parameters

  - ##### record: Record

  #### Returns any[]

Generated using TypeDoc